### Signal

# RB Shell::notify-custom

#### Declaration

    void
    notify_custom (
      RBShell* self,
      guint timeout,
      gchar* primary,
      gchar* secondary,
      gchar* image_uri,
      gboolean requested,
      gpointer user_data
    )

#### Description [src]

Emitted when a custom notification should be displayed to the user.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`timeout`

  Type: `guint`

  Length of time (in seconds) to display the notification.

`primary`

  Type: `gchar*`

  Main notification text.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`secondary`

  Type: `gchar*`

  Secondary notification text.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`image_uri`

  Type: `gchar*`

  URI for an image to include in the notification (optional).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`requested`

  Type: `gboolean`

  If `TRUE`, the notification was triggered by an explicit user action.